const escpos = require("escpos");
escpos.USB = require("escpos-usb");

const device = new escpos.USB();

device.open(err => {
  if (err) {
    console.error("❌ USB error:", err);
  } else {
    console.log("✅ Imprimante USB détectée !");
  }
});
